Subject: Re: bug#58966: [Trunk] Xcode 14.1+ (and macOS 13.0+) deprecate sprintf()

From: Jacob Faibussowitsch <[email-masked]>
Date: Thu, 3 Nov 2022 10:48:45 -0400

No such luck

Best regards,

Jacob Faibussowitsch
(Jacob Fai - booss - oh - vitch)

> On Nov 3, 2022, at 10:43, Gerd Möllmann <[email-masked]> wrote:
> 
> You need to invoke autogen.sh and then configure.
> 
>> Am 03.11.2022 um 15:40 schrieb Jacob Faibussowitsch <[email-masked]>:
>> 
>> Hmm I see
>> 
>> commit d16494cffbed79a916482558ae5ed1bdcc67c88d
>> Author: Gerd Möllmann <[email-masked]>
>> Date:   Thu Nov 3 10:39:37 2022 +0100
>> 
>>   Suppress deprecation warnings on macOS (bug#58966)
>> 
>>   * configure.ac (CHECK_LISP_OBJECT_TYPE): Add
>>   -Wno-deprecated-declarations for darwin.
>> 
>> Has been merged to master but I still get warnings, config.log and make.log attached. I have make bootstrapped’ multiple times, but warnings persist.
>> 
>> PS: While we're at it, the build also shows many undefined variable warnings:
>> 
>> In x-dnd-wheel-modifier-type:
>> x-dnd.el:748:25: Warning: reference to free variable ‘mouse-wheel-scroll-amount’
>> 
>> In x-dnd-mwheel-scroll:
>> x-dnd.el:785:29: Warning: reference to free variable ‘mouse-wheel-progressive-speed’
>> x-dnd.el:787:23: Warning: reference to free variable ‘mouse-wheel-tilt-scroll’
>> x-dnd.el:795:34: Warning: reference to free variable ‘mwheel-scroll-right-function’
>> x-dnd.el:796:32: Warning: reference to free variable ‘mwheel-scroll-down-function’
>> x-dnd.el:799:34: Warning: reference to free variable ‘mwheel-scroll-left-function’
>> x-dnd.el:800:32: Warning: reference to free variable ‘mwheel-scroll-up-function’
>> x-dnd.el:802:34: Warning: reference to free variable ‘mouse-wheel-flip-direction’
>> 
>> In haiku-dnd-wheel-modifier-type:
>> haiku-win.el:520:25: Warning: reference to free variable ‘mouse-wheel-scroll-amount’
>> 
>> In haiku-handle-drag-wheel:
>> haiku-win.el:543:21: Warning: reference to free variable ‘mwheel-scroll-up-function’
>> haiku-win.el:545:21: Warning: reference to free variable ‘mwheel-scroll-down-function’
>> haiku-win.el:546:34: Warning: reference to free variable ‘mouse-wheel-flip-direction’
>> haiku-win.el:547:34: Warning: reference to free variable ‘mwheel-scroll-right-function’
>> haiku-win.el:548:32: Warning: reference to free variable ‘mwheel-scroll-left-function’
>> haiku-win.el:571:39: Warning: reference to free variable ‘mouse-wheel-progressive-speed’
>> 
>> 
>> Best regards,
>> 
>> Jacob Faibussowitsch
>> (Jacob Fai - booss - oh - vitch)
>> 
> <config.log><make.log>
>> 
>>> On Nov 3, 2022, at 05:36, Gerd Möllmann <[email-masked]> wrote:
>>> 
>>> 
>>> On 03.11.22 10:15, Eli Zaretskii wrote:
>>>>> Ok to install?
>>>> Yes, but perhaps condition that on the version of the
>>>> compiler/Xcode/whatever?  I mean, could this warning be useful in some
>>>> other cases?
>>> 
>>> I don't think it's useful otherwise, except for the obvious of course,
>>> that it would be better to fix these cases, as the recent SQLite thing
>>> showed.
>>> 
>>> Maybe we should remove that again once 29 is released?  If we find some
>>> kind soul...
>>